# Request and Response

## Updates the status of the product listings (A.K.A publications)

<mark style="color:orange;">`PUT`</mark> `https://api.alephcrm.com/v2/productlistings/update-status`

#### Query Parameters

| Name                                                   | Type    | Description    |
| ------------------------------------------------------ | ------- | -------------- |
| API\_KEY<mark style="color:red;">\*</mark>             | String  | (default=none) |
| accountId <mark style="color:red;">\*</mark>           | Integer | (default=none) |
| includeKitContainers<mark style="color:red;">\*</mark> | boolean |                |
| Product listings                                       | String  |                |

{% tabs %}
{% tab title="200: OK Array of productlistings" %}

```json
{
    "Total": integer,
    "Results": [{
      "ProductListingStatus": [{ProductListingStatusType}],
      "Status": integer,
      "Message": string
    }]
}
```

{% endtab %}

{% tab title="304: Not Modified " %}

```json
{
    "Total": integer,
    "Results": [{
      "ProductListingStatus": [{ProductListingStatusType}],
      "Status": integer,
      "Message": string
    }]
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```json
{
    "Total": integer,
    "Results": [{
      "ProductListingStatus": [{ProductListingStatusType}],
      "Status": integer,
      "Message": string
    }]
}
```

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error string" %}

{% endtab %}

{% tab title="406: Not Acceptable {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the orders you are trying to get.

### includeKitContainers

This parameter tells the method whether to search for KIT containers that include the SKU sent as a KIT-component and processes them to updating the KIT’s product listings in addition to individual SKU sent products.

### Product listings

The list of product listings needed to change.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/product-listings/put-methods/set-product-listings-status/request.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
